package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;
import java.util.Date;

public class DoubleEleven2021OrderDetailDto {

    private Integer userId;

    private String username;

    private String orderNo;

    private BigDecimal amount = BigDecimal.ZERO;

    private Date createTime;

    private Date payTime;

    private String type;

    private Boolean giveMember;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getGiveMember() {
        return giveMember;
    }

    public void setGiveMember(Boolean giveMember) {
        this.giveMember = giveMember;
    }
}
